# useTheme

useTheme is a hook to allow retrieval and updates to the current theme. It is designed to be used inside a <Link to="../../ThemeProvider/ThemeProvider">ThemeProvider</Link>

```tsx live=true
import { FC } from 'React';
import useTheme from '@ucam/design-system/theme/useTheme';

const ThemeNameReader: FC = () => {
  const { requestedThemeName, renderedThemeName, theme, setTheme } = useTheme();

  return <div>Current theme name: {renderedThemeName}</div>;
};

render(<ThemeNameReader />);
```
